Bug 470663 - VT switching causes X to flash screen blue and white
VT switching causes X to flash screen blue and white
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-08 11:18 EST by Dan Nicholson
Modified: 2009-07-14 12:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:50:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
1st server being switched from (18.50 KB, text/plain)
2008-11-08 11:18 EST, Dan Nicholson
no flags Details
2nd server being switched to (23.63 KB, text/plain)
2008-11-08 11:19 EST, Dan Nicholson
no flags Details
xorg.conf (637 bytes, text/plain)
2008-11-08 11:19 EST, Dan Nicholson
no flags Details

  None (edit)
Description Dan Nicholson 2008-11-08 11:18:05 EST
Often when initiating a VT switch, an existing X server will begin flashing blue and white, and I have to reboot to get a usable server up again. It seems like it loses the mode it's using. This sometimes happens when switching from X to console, but more often when a new X server is spawned from gdm-user-switch-applet.

Hardware is a G965 driving a ViewSonic VX924 over DVI through an ADD2 card. I'm assigning this to the i810 driver, but I suppose it could be the xserver, too. I'll attach the two logs from the last time this happened.
Comment 1 Dan Nicholson 2008-11-08 11:18:51 EST
Created attachment 322950 [details]
1st server being switched from
Comment 2 Dan Nicholson 2008-11-08 11:19:17 EST
Created attachment 322951 [details]
2nd server being switched to
Comment 3 Dan Nicholson 2008-11-08 11:19:47 EST
Created attachment 322952 [details]
xorg.conf
Comment 4 Dan Nicholson 2008-11-09 10:44:37 EST
Interesting. When I boot with a vesa fb (vga=789 or such), I have yet to see the flashing blue/white mode.
Comment 5 Bug Zapper 2009-06-09 23:12:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 12:50:05 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.